GearmanJob
GearmanJob::__construct
GearmanJob
PHP Manual

# GearmanJob::complete

Send the result and complete status (deprecated)

### Description

public bool GearmanJob::complete ( string `$result` )

Sends result data and the complete status update for this job.

> Note:

> This method has been replaced by GearmanJob::sendComplete in the 0.6.0 release of the Gearman extension.

### Parameters

`result`

  Serialized result data.

### Return Values

Returns `TRUE` on success or `FALSE` on failure.

### See Also

- GearmanJob::sendFail
- GearmanJob::setReturn